# Random Linux Tips (WIP)
  
### 0. *Short example template.*  
- Description: *What is this good for.*  
- Requires: *Do you need any particular software (provide a link)?*
- How-to: *Straight forward description and maybe a code example.* 
    - *Detailled description if necessary.*  
    - `sudo this is the actual code lol`  
- Aditionally: *Anything else that might be important like additional ressources.*  
  
    
### 1. Automatically clear cache.  
- Description: Move files older than a specific amount of time from your user's ~/.cache directory to the trash.  
- Requires: [rmtrash](https://github.com/PhrozenByte/rmtrash).  
- How-to: Add the following line to your crontab using the command "crontab -e" (or EDITOR=$editor crontab -e).  
    - `0 17 * * * /usr/bin/find ~/.cache/* -mtime +7 -exec /usr/bin/rmtrash -rf {} \;`  
    - This command looks at files in ~/.cache every day at 5 p.m. and moves files older than 7 days to the trash.  
- Additionally: This can also be done using regular `rm` instead of `rmtrash`.  
  
### 2. Limit Systemd journal size.  
- Description: Limit the Systemd journal to a specific size.  
- Requires: Specific to systems using [Systemd](https://systemd.io/).  
- How-to:  
    - Edit `/etc/systemd/journald.conf` and change `SystemMaxUse=50M`.  
- Additionally: [ArchWiki: Systemd](https://wiki.archlinux.org/title/Systemd/Journal#Journal_size_limit).  
- Additionally: This can also be achieved using `journalctl` and be [limited by time](https://wiki.archlinux.org/title/Systemd/Journal#Clean_journal_files_manually).  
  
### 3. Syntax highlight for nano  
- Description: Enable syntax highlighting for nano.
- Requires:
- How-to: Edit `~/.config/nano/nanorc` or to `/etc/nanorc` and add the following.
    - `include "/usr/share/nano/*.nanorc"`.
- Additionally: [ArchWiki: Nano](https://wiki.archlinux.org/title/Nano#Syntax_highlighting).  
  
### 4. Repeat a command using watch.

### 5. Use sudo !!.  
  
### 6. Prevent overwriting files.  
- Description: Use alias for *rm*, *cp* and *mv*.  
- How-to: Add the following alias into your ~/.bashrc.  
    - Use *-interactive* option to get asked before overwriting files.  
    - `alias mv="mv -i"`  
- Additionally: Further reading in the Arch wiki.  

### 7. Paccache timer  
- Requires: A pacman-based distro and the pacman-contrib package.
  
### 8. Passwordless SSH  

### 9. Automatically clean orphaned packages.
`0 20 * * * /usr/bin/pacman -Qtdq | /usr/bin/pacman -Rns -`
